#include <gtest/gtest.h>
#include <cmath>
#include <fstream>
#include "../dataChannelTestUtility.h"
#include "../taskTests.h"
#include "../../../software/signal_processing_bsp/system.h"
#include "../../data/rand.h"

int main( int argc, char ** argv ) {
    ::testing::InitGoogleTest(&argc, argv);
    return RUN_ALL_TESTS();
}

TEST( test_task_rand, execute_only ) {
    configureAndRunRand();
    dataChannelWriteToFile( DATA_CHANNEL_2_BASE, "data.py" );
}

TEST( test_task_rand, execute_and_check ) {
    configureAndRunRand();
    dataChannelCheckAndWriteToFile( DATA_CHANNEL_2_BASE, expected_rand, "data.py" );
}

